#include <bits/stdc++.h>
typedef long long ll;
typedef int itn;

using namespace std;
itn cifra(int c){
    if(c==0)
        return 0;
    if(c==1||c==2||c==5)
        return 1;
    if(c==3||c==4||c==6||c==7)
        return 2;
    if(c==8||c==9)
        return 3;

}

int main()
{
   ios::sync_with_stdio(false);
   ll n,minimalno=0;
   cin >> n;
   do{
     minimalno+=cifra(n%10);
     n/=10;
   }while(n>0);
   cout << minimalno <<'\n';
   return 0;
}